# Class HandlesMixin<TResult>

Supporting mixin declaration for handles.

#### Type Parameters

- TResult extends DestroyResult = void

#####
Index

### Constructors

constructor

### Properties

_handles

### Methods

destroy

##
Constructors

### constructor

- new HandlesMixin<TResult>(): HandlesMixin<TResult>

- #### Type Parameters

  - TResult extends DestroyResult = void

  #### Returns HandlesMixin<TResult>

##
Properties

### `Protected` `Readonly`_handles

_handles: Handles<unknown, ResourceHandle>

##
Methods

### destroy

- destroy(): TResult

- #### Returns TResult